com.sun.grid.jgdi.configuration.reflect

## Class ListPropertyDescriptor

- java.lang.Object
- - com.sun.grid.jgdi.configuration.reflect.PropertyDescriptor
  - - com.sun.grid.jgdi.configuration.reflect.ListPropertyDescriptor

- Direct Known Subclasses:
    DefaultListPropertyDescriptor, PlainListPropertyDescriptor

      public abstract class ListPropertyDescriptor
      extends PropertyDescriptor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListPropertyDescriptor(java.lang.Class beanClass, java.lang.String propertyName, java.lang.Class propertyType, java.lang.String cullType, int cullFieldName, boolean browseable, boolean readOnly, boolean configurable)` Creates a new instance of ListPropertyDescriptor

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `add(java.lang.Object bean, java.lang.Object value)`
    `void` | `clone(java.lang.Object srcBean, java.lang.Object targetBean)`
    `abstract java.lang.Object` | `get(java.lang.Object bean, int index)`
    `abstract int` | `getCount(java.lang.Object bean)`
    `abstract java.lang.Object` | `remove(java.lang.Object bean, int index)`
    `abstract boolean` | `remove(java.lang.Object bean, java.lang.Object value)`
    `abstract void` | `removeAll(java.lang.Object boean)`
    `abstract void` | `set(java.lang.Object bean, int index, java.lang.Object value)`
    `java.lang.String` | `toString(java.lang.Object obj, int index)`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.reflect.PropertyDescriptor

      `equals, findMethod, findMethod, getBeanClass, getCullContentField, getCullFieldName, getCullType, getJNIPropertyType, getPropertyName, getPropertyType, hasCullWrapper, hashCode, invoke, isBrowsable, isConfigurable, isReadOnly, isSet, setBrowsable, setConfigurable, setCullContentField, setHasCullWrapper, setReadOnly`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListPropertyDescriptor

          public ListPropertyDescriptor(java.lang.Class beanClass,
                                        java.lang.String propertyName,
                                        java.lang.Class propertyType,
                                        java.lang.String cullType,
                                        int cullFieldName,
                                        boolean browseable,
                                        boolean readOnly,
                                        boolean configurable)

      Creates a new instance of ListPropertyDescriptor

  - ### Method Detail

    - #### getCount

          public abstract int getCount(java.lang.Object bean)

    - #### get

          public abstract java.lang.Object get(java.lang.Object bean,
                                               int index)

    - #### add

          public abstract void add(java.lang.Object bean,
                                   java.lang.Object value)

    - #### set

          public abstract void set(java.lang.Object bean,
                                   int index,
                                   java.lang.Object value)

    - #### remove

          public abstract java.lang.Object remove(java.lang.Object bean,
                                                  int index)

    - #### remove

          public abstract boolean remove(java.lang.Object bean,
                                         java.lang.Object value)

    - #### removeAll

          public abstract void removeAll(java.lang.Object boean)

    - #### clone

          public void clone(java.lang.Object srcBean,
                            java.lang.Object targetBean)

      Specified by:
        `clone` in class `PropertyDescriptor`

    - #### toString

          public java.lang.String toString(java.lang.Object obj,
                                           int index)

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.